import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();


    Student student = new Student();
    student.setId(1);
    student.setName("Tom");
    Address addr = new Address();
    addr.setStreet("street 1");
    addr.setCity("LA");
    addr.setState("CA");
    addr.setZip("asdfasdf");
    student.setAddress(addr);
    em.persist(student);


    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}